### Method

# FwupdPlugin Plugin runner_device_register

since: 0.9.7

#### Declaration [src]

    void
    fu_plugin_runner_device_register (
      FuPlugin* self,
      FuDevice* device
    )

#### Description [src]

Call the device_registered routine for the plugin.

Available since: 0.9.7

#### Parameters

`device`

  Type: `FuDevice`

  A device.

  The data is owned by the caller of the method.